Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225257

Summary: Merge Review: aspell-af
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Marcela Mašláňová <mmaslano>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jspaleta, mmaslano, varekova
Target Milestone: ---Flags: mmaslano: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-23 12:20:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-29 21:02:21 UTC
Fedora Merge Review: aspell-af

http://cvs.fedora.redhat.com/viewcvs/devel/aspell-af/

Comment 1 Marcela Mašláňová 2007-02-22 10:41:14 UTC
Source:
W: aspell-af summary-ended-with-dot Afrikaans dictionaries for Aspell.
W: aspell-af rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
W: aspell-af rpm-buildroot-usage %build echo "DEST_DIR = $RPM_BUILD_ROOT" >>
Makefile
W: aspell-af rpm-buildroot-usage %build echo "dictdir =
${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60" >> Makefile
W: aspell-af rpm-buildroot-usage %build echo "datadir =
${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60" >> Makefile
E: aspell-af no-cleaning-of-buildroot %install

rm -rf from prep to clean
$RPM_BUILD_ROOT should not be touched during %build

Arch:
W: aspell-af summary-ended-with-dot Afrikaans dictionaries for Aspell.
E: aspell-af no-binary -> should be noarch
E: aspell-af only-non-binary-in-usr-lib -> will be fix by previous
W: aspell-af no-documentation -> not a problem

Release number should be whole number.
Wrong buildroot, should be
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

md5sum: bde617a195e70364f96eea71cf71a333 == bde617a195e70364f96eea71cf71a333

Permission should be: %defattr(-,root,root,-)

Comment 2 Marcela Mašláňová 2007-02-22 12:17:08 UTC
Now ok, rpmlint still say:
E: aspell-af no-binary
E: aspell-af only-non-binary-in-usr-lib

It's specific behaviour for dictionary -> ok.

APPROVED

Comment 3 Ivana Varekova 2007-02-22 12:21:14 UTC
fixed version aspell-af-0.50-5.fc7

Comment 4 Parag AN(पराग) 2007-03-28 03:39:30 UTC
Ivana,
I think You should replace ./configure DESTDIR=$RPM_BUILD_ROOT
with
./configure 
Only.
Everything Looks Ok to me.

Comment 5 Ivana Varekova 2007-03-28 17:57:08 UTC
Thanks Parag. It is fixed.